Sets the class which handles SOAP requests

- « SoapServer::handle

- SoapServer::setObject »

- PHP Manual
- SoapServer
- Sets the class which handles SOAP requests

# SoapServer::setClass

(PHP 5, PHP 7, PHP 8)

SoapServer::setClass — Sets the class which handles SOAP requests

### Description

public SoapServer::setClass(string `$class`, mixed `...$args`): void

Exports all methods from specified class.

The object can be made persistent across request for a given PHP session with the SoapServer::setPersistence() method.

### Parameters

`class`

  The name of the exported class.

`args`

  These optional parameters will be passed to the default class constructor during object creation.

### Return Values

No value is returned.

### See Also

- SoapServer::__construct() - SoapServer constructor
- SoapServer::addFunction() - Adds one or more functions to handle SOAP requests
- SoapServer::setPersistence() - Sets SoapServer persistence mode